GLS ShipIT 3.5.15 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.ws.parcelshopsearch.SearchResults Class Reference

## Public Member Functions
GLSParcelShop | getParcelshop ()
void | setParcelshop (GLSParcelShop value)
String | getAirLineDistance ()
void | setAirLineDistance (String value)

## Protected Attributes
GLSParcelShop | parcelshop
String | airLineDistance

## Detailed Description

Java class for SearchResults complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="SearchResults">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Parcelshop" type="{http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/}GLSParcelShop" minOccurs="0"/>
            <element name="AirLineDistance" type="{http://www.w3.org/2001/XMLSchema}string"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 35 of file SearchResults.java.

## Member Function Documentation

## ◆ getAirLineDistance()

String eu.glsgroup.ws.parcelshopsearch.SearchResults.getAirLineDistance | ( |  | ) |

Gets the value of the airLineDistance property.

Returns
  possible object is String

Definition at line 74 of file SearchResults.java.

## ◆ getParcelshop()

GLSParcelShop eu.glsgroup.ws.parcelshopsearch.SearchResults.getParcelshop | ( |  | ) |

Gets the value of the parcelshop property.

Returns
  possible object is GLSParcelShop

Definition at line 50 of file SearchResults.java.

## ◆ setAirLineDistance()

void eu.glsgroup.ws.parcelshopsearch.SearchResults.setAirLineDistance | ( | String | value | ) |

Sets the value of the airLineDistance property.

Parameters

  value | allowed object is String

Definition at line 86 of file SearchResults.java.

## ◆ setParcelshop()

void eu.glsgroup.ws.parcelshopsearch.SearchResults.setParcelshop | ( | GLSParcelShop | value | ) |

Sets the value of the parcelshop property.

Parameters

  value | allowed object is GLSParcelShop

Definition at line 62 of file SearchResults.java.

## Member Data Documentation

## ◆ airLineDistance

String eu.glsgroup.ws.parcelshopsearch.SearchResults.airLineDistance
| protected

Definition at line 40 of file SearchResults.java.

## ◆ parcelshop

GLSParcelShop eu.glsgroup.ws.parcelshopsearch.SearchResults.parcelshop
| protected

Definition at line 38 of file SearchResults.java.

The documentation for this class was generated from the following file:

- SearchResults.java